<?xml version="1.0" encoding="UTF-8"?>
<form xmlns="http://www.intellij.com/uidesigner/form/" version="1" bind-to-class="com.intellij.compiler.options.CompilerUIConfigurable">
  <grid id="1663f" binding="myPanel" layout-manager="GridLayoutManager" row-count="2" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
    <margin top="0" left="0" bottom="0" right="0"/>
    <constraints>
      <xy x="28" y="24" width="883" height="379"/>
    </constraints>
    <properties/>
    <border type="none"/>
    <children>
      <grid id="d5f42" layout-manager="GridLayoutManager" row-count="5" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
        <margin top="0" left="0" bottom="0" right="0"/>
        <constraints>
          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
        </constraints>
        <properties/>
        <border type="none"/>
        <children>
          <grid id="2dbd6" layout-manager="GridLayoutManager" row-count="2" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="5" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties/>
            <border type="none" title-resource-bundle="messages/CompilerBundle" title-key="label.option.resource.patterns.text"/>
            <children>
              <component id="263f1" class="javax.swing.JTextField" binding="myResourcePatternsField">
                <constraints>
                  <grid row="1" column="0" row-span="1" col-span="2" vsize-policy="0" hsize-policy="6" anchor="9" fill="1" indent="0" use-parent-layout="false">
                    <preferred-size width="150" height="-1"/>
                  </grid>
                </constraints>
                <properties>
                  <focusable value="true"/>
                  <margin top="0" left="2" bottom="0" right="0"/>
                  <text value="" noi18n="true"/>
                </properties>
              </component>
              <component id="316d6" class="javax.swing.JLabel" binding="myPatternLegendLabel">
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="2" vsize-policy="0" hsize-policy="3" anchor="8" fill="0" indent="0" use-parent-layout="false"/>
                </constraints>
                <properties>
                  <text resource-bundle="messages/CompilerBundle" key="label.resource.patterns.legend"/>
                </properties>
              </component>
            </children>
          </grid>
          <component id="889a8" class="javax.swing.JCheckBox" binding="myCbClearOutputDirectory">
            <constraints>
              <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="8" fill="0" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties>
              <margin top="2" left="3" bottom="2" right="3"/>
              <text resource-bundle="messages/CompilerBundle" key="label.option.clear.output.directory.on.rebuild"/>
            </properties>
          </component>
          <component id="97c22" class="javax.swing.JCheckBox" binding="myCbCompileDependent">
            <constraints>
              <grid row="2" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="8" fill="0" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties>
              <text resource-bundle="messages/CompilerBundle" key="label.option.honor.dependencies"/>
            </properties>
          </component>
          <component id="366e" class="javax.swing.JCheckBox" binding="myCbAssertNotNull">
            <constraints>
              <grid row="3" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="8" fill="0" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties>
              <text resource-bundle="messages/CompilerBundle" key="add.notnull.assertions"/>
            </properties>
          </component>
          <component id="660fd" class="javax.swing.JCheckBox" binding="myCbCompileInBackground">
            <constraints>
              <grid row="4" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="8" fill="0" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties>
              <margin top="2" left="3" bottom="2" right="3"/>
              <text resource-bundle="messages/CompilerBundle" key="label.option.compile.in.background"/>
            </properties>
          </component>
        </children>
      </grid>
      <vspacer id="67edf">
        <constraints>
          <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="6" hsize-policy="1" anchor="0" fill="2" indent="0" use-parent-layout="false"/>
        </constraints>
      </vspacer>
    </children>
  </grid>
</form>
